com.holonplatform.datastore.jdbc.composer.expression

## Interface SQLQueryDefinition

- All Superinterfaces:
    com.holonplatform.core.Expression

      public interface SQLQueryDefinition
      extends com.holonplatform.core.Expression

  SQL query definition expression.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFrom()` Get the `FROM` clause.
    `Optional<String>` | `getGroupBy()` Get the `GROUP BY` clause.
    `Optional<com.holonplatform.core.query.lock.LockMode>` | `getLockMode()` Get the lock mode.
    `Optional<Long>` | `getLockTimeout()` Get the lock timeout.
    `Optional<String>` | `getOrderBy()` Get the `ORDER BY` clause.
    `Optional<SQLResultConverter<?>>` | `getResultConverter()` Get the optional `SQLResultConverter`.
    `String` | `getSelect()` Get the `SELECT` clause.
    `Optional<String>` | `getWhere()` Get the `WHERE` clause.
    `boolean` | `isDistinct()` Get whether to add the `DISTINCT` clause.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getSelect

          String getSelect()

      Get the `SELECT` clause.
      Returns:
        Select SQL clause

    - #### isDistinct

          boolean isDistinct()

      Get whether to add the `DISTINCT` clause.
      Returns:
        Whether to add the `DISTINCT` clause

    - #### getFrom

          String getFrom()

      Get the `FROM` clause.
      Returns:
        From SQL clause

    - #### getWhere

          Optional<String> getWhere()

      Get the `WHERE` clause.
      Returns:
        Optional where SQL clause

    - #### getOrderBy

          Optional<String> getOrderBy()

      Get the `ORDER BY` clause.
      Returns:
        Optional order by SQL clause

    - #### getGroupBy

          Optional<String> getGroupBy()

      Get the `GROUP BY` clause.
      Returns:
        Optional group by SQL clause

    - #### getLockMode

          Optional<com.holonplatform.core.query.lock.LockMode> getLockMode()

      Get the lock mode.
      Returns:
        Optional lock mode

    - #### getLockTimeout

          Optional<Long> getLockTimeout()

      Get the lock timeout.
      Returns:
        Optional lock timeout

    - #### getResultConverter

          Optional<SQLResultConverter<?>> getResultConverter()

      Get the optional `SQLResultConverter`.
      Returns:
        Optional query result converter

Copyright © 2019 The Holon Platform. All rights reserved.